@charset "utf-8";

/*視窗背景色設定*/
body{
    background-image: 
        url('corner.jpg'), url('corner.jpg'), 
        url('corner.jpg'), url('corner.jpg'), 
        url('bg.jpg'); /* 最後一張是重複的裝飾底圖 */
    
    background-position: 
        top left, top right, 
        bottom left, bottom right, 
        center;
    
    background-repeat: 
        no-repeat, no-repeat, 
        no-repeat, no-repeat, 
        repeat; /* 底圖重複，花邊不重複 */

    background-attachment: fixed;   
    background-size: 100px, 100px, 100px, 100px, auto; 
    background-color: #fbf9cc;
}

/*連結顏色設定*/
a{
    color:#D18063;
}
a:hover{
    color: #EECFBB;
    text-decoration: none;
}

/*頁首,導覽,頁尾的共通設定*/
header,nav,footer{
    text-align: center;
}

header p{
    color: #666;
    font-style: italic;
}


/*頁面標題設定*/
h1{
    width: 300px;
    margin: 40px  auto;
    padding: 30px;
    border: 5px solid #917B56;
    background-color: #C9BA9B;
    color:#fff;
    font-size:300%;
    border-radius: 35%;
    text-align: center;
    line-height: 1;
    border-radius: 50%;
    box-shadow: 0 0 10px #d0e35b;
    background-image: linear-gradient(to bottom,#dab493,#7a5018);
    text-shadow: 2px 2px 4px rgba(10, 10, 10, 0.3);

}

/*次標題設定*/
.h{
    padding: 10px;
    margin-bottom: 30px;
    border: 1px dotted #C9BA9B;
    border-left: 10px solid #F9D9CA;
    color:#BDC2BB;
}

/*小標題設定*/
.h-sub span{
    font-weight: normal;
}

/*內容區塊邊框設定*/
#contents{
    margin: 40px;
    padding: 40px 80px;
    border: 2px solid #CB8A90;
    background-color: #fff;
}



/*連結圖示設定*/
a[target="_blank"]::after {
    content: ""; /* 必須保留，偽元素才會出現 */
    display: inline-block;
    width: 20px;  /* 設定圖示寬度 */
    height: 20px; /* 設定圖示高度 */
    margin-left: 5px;
    vertical-align: middle;
    
    /* 設定背景圖 */
    background-image: url('instagram.png'); 
    background-size: contain; /* 讓圖片縮放符合框框 */
    background-repeat: no-repeat;
}


/*區塊間分隔*/
#contents >section+section{
    margin-top: 80px;
    
}

#contents {
    margin: 40px auto;
    max-width: 900px;
    padding: 40px 80px;
    border: 2px solid #CB8A90;
    background-color: rgba(255, 255, 255, 0.9); /* 半透明白色背景 */
}
#Interest ul li::before {
    content: "🐾 "; /* 在興趣列表前自動加上狗腳印 */
}

nav li a:hover {
    background-color: #D18063;
    color: white;
    border-radius: 5px;
}
